> ## Documentation Index
> Fetch the complete documentation index at: https://developer.supernotes.app/llms.txt
> Use this file to discover all available pages before exploring further.

#  Create Collection

> Create a custom collection



## OpenAPI

````yaml post /v1/collections/{collection_id}
openapi: 3.1.0
info:
  title: supernotes
  description: The Supernotes API – a modern and fast API for quick card creation
  version: 3.2.1
servers: []
security: []
paths:
  /v1/collections/{collection_id}:
    post:
      tags:
        - collections
      summary: ' Create Collection'
      description: Create a custom collection
      operationId: _create_collection_v1_collections__collection_id__post
      parameters:
        - name: collection_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Collection Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostCollection'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionResponse'
        4XX:
          description: Unified Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnifiedError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    PostCollection:
      properties:
        spec:
          anyOf:
            - $ref: '#/components/schemas/CollectionSpecReference'
            - $ref: '#/components/schemas/CollectionSpecDefined-Input'
          title: Spec
        view:
          anyOf:
            - $ref: '#/components/schemas/StoredViewData'
            - type: 'null'
      type: object
      required:
        - spec
      title: PostCollection
    CollectionResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        spec:
          anyOf:
            - $ref: '#/components/schemas/CollectionSpecReference'
            - $ref: '#/components/schemas/CollectionSpecDefined-Output'
          title: Spec
        view:
          anyOf:
            - $ref: '#/components/schemas/StoredViewData'
            - type: 'null'
        created_when:
          type: string
          format: date-time
          title: Created When
        order:
          anyOf:
            - type: string
              maxLength: 8
            - type: 'null'
          title: Order
        modified_when:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified When
      type: object
      required:
        - id
        - spec
        - created_when
      title: CollectionResponse
    UnifiedError:
      discriminator:
        mapping:
          auth: '#/components/schemas/AuthError'
          basic: '#/components/schemas/BasicError'
          card: '#/components/schemas/CardError'
          numeric: '#/components/schemas/NumericError'
          permission: '#/components/schemas/PermError'
          recaptcha: '#/components/schemas/RecaptchaError'
          turnstile: '#/components/schemas/TurnstileError'
          validation: '#/components/schemas/ValidationError'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/AuthError'
        - $ref: '#/components/schemas/BasicError'
        - $ref: '#/components/schemas/CardError'
        - $ref: '#/components/schemas/PermError'
        - $ref: '#/components/schemas/RecaptchaError'
        - $ref: '#/components/schemas/TurnstileError'
        - $ref: '#/components/schemas/ValidationError'
        - $ref: '#/components/schemas/NumericError'
    CollectionSpecReference:
      properties:
        pre_id:
          $ref: '#/components/schemas/PreconfiguredCollectionId'
      type: object
      required:
        - pre_id
      title: CollectionSpecReference
    CollectionSpecDefined-Input:
      properties:
        name:
          type: string
          maxLength: 128
          title: Name
        description:
          type: string
          maxLength: 256
          title: Description
        icon:
          type: string
          maxLength: 64
          title: Icon
        filter_group:
          $ref: '#/components/schemas/FilterGroup-Input'
        color:
          anyOf:
            - $ref: '#/components/schemas/CoreColor'
            - type: 'null'
      type: object
      required:
        - name
        - description
        - icon
        - filter_group
      title: CollectionSpecDefined
    StoredViewData:
      properties:
        display_type:
          $ref: '#/components/schemas/ViewLayout'
        sort_type:
          $ref: '#/components/schemas/SortType'
        sort_ascending:
          title: Sort Ascending
          type: boolean
        broadsheet_cols:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Broadsheet Cols
        broadsheet_full_width:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Broadsheet Full Width
        attempt_card_match:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Attempt Card Match
        card_sizing:
          anyOf:
            - $ref: '#/components/schemas/CardSizing'
            - type: 'null'
          default: null
        map_position:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Map Position
      required:
        - display_type
        - sort_type
        - sort_ascending
      title: StoredViewData
      type: object
    CollectionSpecDefined-Output:
      properties:
        name:
          type: string
          maxLength: 128
          title: Name
        description:
          type: string
          maxLength: 256
          title: Description
        icon:
          type: string
          maxLength: 64
          title: Icon
        filter_group:
          $ref: '#/components/schemas/FilterGroup-Output'
        color:
          anyOf:
            - $ref: '#/components/schemas/CoreColor'
            - type: 'null'
      type: object
      required:
        - name
        - description
        - icon
        - filter_group
      title: CollectionSpecDefined
    AuthError:
      properties:
        type:
          const: auth
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          enum:
            - APIKey
            - Bearer
            - Fresh
            - Refresh
          title: Meta
          type: string
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: AuthError
      type: object
    BasicError:
      properties:
        type:
          const: basic
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          title: Meta
          type: 'null'
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: BasicError
      type: object
    CardError:
      properties:
        type:
          const: card
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          format: uuid
          title: Meta
          type: string
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: CardError
      type: object
    PermError:
      properties:
        type:
          const: permission
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          $ref: '#/components/schemas/PermErrorMeta'
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: PermError
      type: object
    RecaptchaError:
      properties:
        type:
          const: recaptcha
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          title: Meta
          type: boolean
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: RecaptchaError
      type: object
    TurnstileError:
      properties:
        type:
          const: turnstile
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          items:
            type: string
          title: Meta
          type: array
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: TurnstileError
      type: object
    ValidationError:
      properties:
        type:
          const: validation
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          additionalProperties:
            type: string
          title: Meta
          type: object
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: ValidationError
      type: object
    NumericError:
      properties:
        type:
          const: numeric
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          anyOf:
            - type: number
            - type: integer
          title: Meta
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: NumericError
      type: object
    PreconfiguredCollectionId:
      type: string
      enum:
        - thoughts
        - tasks
        - green
        - images
        - dailies
      title: PreconfiguredCollectionId
    FilterGroup-Input:
      properties:
        type:
          type: string
          const: group
          title: Type
        op:
          $ref: '#/components/schemas/FilterGroupOperator'
        filters:
          items:
            oneOf:
              - $ref: '#/components/schemas/FilterGroup-Input'
              - oneOf:
                  - $ref: '#/components/schemas/CardIdFilterScalar'
                  - $ref: '#/components/schemas/CardIdFilterVector'
                discriminator:
                  propertyName: op
                  mapping:
                    equals: '#/components/schemas/CardIdFilterScalar'
                    within: '#/components/schemas/CardIdFilterVector'
              - $ref: '#/components/schemas/NameFilter'
              - $ref: '#/components/schemas/MarkupFilter'
              - $ref: '#/components/schemas/ContentFilter'
              - $ref: '#/components/schemas/AuthorFilter'
              - $ref: '#/components/schemas/MemberCountFilter'
              - $ref: '#/components/schemas/TagFilter'
              - $ref: '#/components/schemas/TagCountFilter'
              - $ref: '#/components/schemas/ChildCountFilter'
              - $ref: '#/components/schemas/ParentCountFilter'
              - $ref: '#/components/schemas/CommentCountFilter'
              - $ref: '#/components/schemas/ShareLinkCountFilter'
              - $ref: '#/components/schemas/BacklinkCountFilter'
              - $ref: '#/components/schemas/LikedFilter'
              - oneOf:
                  - $ref: '#/components/schemas/StatusFilterScalar'
                  - $ref: '#/components/schemas/StatusFilterVector'
                discriminator:
                  propertyName: op
                  mapping:
                    equals: '#/components/schemas/StatusFilterScalar'
                    within: '#/components/schemas/StatusFilterVector'
              - oneOf:
                  - $ref: '#/components/schemas/ColorFilterScalar'
                  - $ref: '#/components/schemas/ColorFilterVector'
                discriminator:
                  propertyName: op
                  mapping:
                    equals: '#/components/schemas/ColorFilterScalar'
                    within: '#/components/schemas/ColorFilterVector'
              - $ref: '#/components/schemas/VisibilityFilter'
              - $ref: '#/components/schemas/PermsFilter'
              - $ref: '#/components/schemas/ParentIdsFilter'
              - $ref: '#/components/schemas/ArchivedParentIdsFilter'
              - $ref: '#/components/schemas/PublishedParentIdsFilter'
              - $ref: '#/components/schemas/BacklinkIdsFilter'
              - $ref: '#/components/schemas/DailyFilter'
              - $ref: '#/components/schemas/LocationFilter'
              - oneOf:
                  - $ref: '#/components/schemas/IconFilterScalar'
                  - $ref: '#/components/schemas/IconFilterVector'
                discriminator:
                  propertyName: op
                  mapping:
                    equals: '#/components/schemas/IconFilterScalar'
                    within: '#/components/schemas/IconFilterVector'
          type: array
          title: Filters
      type: object
      required:
        - type
        - op
        - filters
      title: FilterGroup
    CoreColor:
      enum:
        - blue
        - green
        - orange
        - pink
        - purple
        - red
        - yellow
      title: CoreColor
      type: string
    ViewLayout:
      enum:
        - 1
        - 2
        - 4
        - 5
        - 6
      title: ViewLayout
      type: integer
    SortType:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
      title: SortType
      type: integer
    CardSizing:
      enum:
        - 1
        - 2
        - 3
      title: CardSizing
      type: integer
    FilterGroup-Output:
      properties:
        type:
          type: string
          const: group
          title: Type
        op:
          $ref: '#/components/schemas/FilterGroupOperator'
        filters:
          items:
            oneOf:
              - $ref: '#/components/schemas/FilterGroup-Output'
              - oneOf:
                  - $ref: '#/components/schemas/CardIdFilterScalar'
                  - $ref: '#/components/schemas/CardIdFilterVector'
                discriminator:
                  propertyName: op
                  mapping:
                    equals: '#/components/schemas/CardIdFilterScalar'
                    within: '#/components/schemas/CardIdFilterVector'
              - $ref: '#/components/schemas/NameFilter'
              - $ref: '#/components/schemas/MarkupFilter'
              - $ref: '#/components/schemas/ContentFilter'
              - $ref: '#/components/schemas/AuthorFilter'
              - $ref: '#/components/schemas/MemberCountFilter'
              - $ref: '#/components/schemas/TagFilter'
              - $ref: '#/components/schemas/TagCountFilter'
              - $ref: '#/components/schemas/ChildCountFilter'
              - $ref: '#/components/schemas/ParentCountFilter'
              - $ref: '#/components/schemas/CommentCountFilter'
              - $ref: '#/components/schemas/ShareLinkCountFilter'
              - $ref: '#/components/schemas/BacklinkCountFilter'
              - $ref: '#/components/schemas/LikedFilter'
              - oneOf:
                  - $ref: '#/components/schemas/StatusFilterScalar'
                  - $ref: '#/components/schemas/StatusFilterVector'
                discriminator:
                  propertyName: op
                  mapping:
                    equals: '#/components/schemas/StatusFilterScalar'
                    within: '#/components/schemas/StatusFilterVector'
              - oneOf:
                  - $ref: '#/components/schemas/ColorFilterScalar'
                  - $ref: '#/components/schemas/ColorFilterVector'
                discriminator:
                  propertyName: op
                  mapping:
                    equals: '#/components/schemas/ColorFilterScalar'
                    within: '#/components/schemas/ColorFilterVector'
              - $ref: '#/components/schemas/VisibilityFilter'
              - $ref: '#/components/schemas/PermsFilter'
              - $ref: '#/components/schemas/ParentIdsFilter'
              - $ref: '#/components/schemas/ArchivedParentIdsFilter'
              - $ref: '#/components/schemas/PublishedParentIdsFilter'
              - $ref: '#/components/schemas/BacklinkIdsFilter'
              - $ref: '#/components/schemas/DailyFilter'
              - $ref: '#/components/schemas/LocationFilter'
              - oneOf:
                  - $ref: '#/components/schemas/IconFilterScalar'
                  - $ref: '#/components/schemas/IconFilterVector'
                discriminator:
                  propertyName: op
                  mapping:
                    equals: '#/components/schemas/IconFilterScalar'
                    within: '#/components/schemas/IconFilterVector'
          type: array
          title: Filters
      type: object
      required:
        - type
        - op
        - filters
      title: FilterGroup
    PermErrorMeta:
      properties:
        perm_name:
          title: Perm Name
          type: string
        perm_value:
          title: Perm Value
          type: integer
      required:
        - perm_name
        - perm_value
      title: PermErrorMeta
      type: object
    FilterGroupOperator:
      type: string
      enum:
        - and
        - or
      title: FilterGroupOperator
    CardIdFilterScalar:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: card_id
          title: Type
        op:
          type: string
          const: equals
          title: Op
        arg:
          type: string
          format: uuid
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: CardIdFilterScalar
    CardIdFilterVector:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: card_id
          title: Type
        op:
          type: string
          const: within
          title: Op
        arg:
          items:
            type: string
            format: uuid
          type: array
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: CardIdFilterVector
    NameFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: name
          title: Type
        op:
          type: string
          enum:
            - equals
            - contains
            - within
            - regex
          title: Op
        arg:
          type: string
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: NameFilter
    MarkupFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: markup
          title: Type
        op:
          type: string
          enum:
            - equals
            - contains
            - within
            - regex
          title: Op
        arg:
          type: string
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: MarkupFilter
    ContentFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: content
          title: Type
        op:
          type: string
          enum:
            - equals
            - contains
            - within
            - regex
          title: Op
        arg:
          type: string
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: ContentFilter
    AuthorFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: author
          title: Type
        op:
          type: string
          const: equals
          title: Op
        arg:
          type: string
          format: uuid
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: AuthorFilter
    MemberCountFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: member_count
          title: Type
        op:
          type: string
          enum:
            - equals
            - greater_than
            - greater_than_or_equal
            - less_than
            - less_than_or_equal
          title: Op
        arg:
          anyOf:
            - type: integer
            - type: number
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: MemberCountFilter
    TagFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: tag
          title: Type
        op:
          type: string
          const: contains
          title: Op
        arg:
          type: string
          maxLength: 32
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: TagFilter
    TagCountFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: tag_count
          title: Type
        op:
          type: string
          enum:
            - equals
            - greater_than
            - greater_than_or_equal
            - less_than
            - less_than_or_equal
          title: Op
        arg:
          anyOf:
            - type: integer
            - type: number
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: TagCountFilter
    ChildCountFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: child_count
          title: Type
        op:
          type: string
          enum:
            - equals
            - greater_than
            - greater_than_or_equal
            - less_than
            - less_than_or_equal
          title: Op
        arg:
          anyOf:
            - type: integer
            - type: number
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: ChildCountFilter
    ParentCountFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: parent_count
          title: Type
        op:
          type: string
          enum:
            - equals
            - greater_than
            - greater_than_or_equal
            - less_than
            - less_than_or_equal
          title: Op
        arg:
          anyOf:
            - type: integer
            - type: number
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: ParentCountFilter
    CommentCountFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: comment_count
          title: Type
        op:
          type: string
          enum:
            - equals
            - greater_than
            - greater_than_or_equal
            - less_than
            - less_than_or_equal
          title: Op
        arg:
          anyOf:
            - type: integer
            - type: number
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: CommentCountFilter
    ShareLinkCountFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: share_link_count
          title: Type
        op:
          type: string
          enum:
            - equals
            - greater_than
            - greater_than_or_equal
            - less_than
            - less_than_or_equal
          title: Op
        arg:
          anyOf:
            - type: integer
            - type: number
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: ShareLinkCountFilter
    BacklinkCountFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: backlink_count
          title: Type
        op:
          type: string
          enum:
            - equals
            - greater_than
            - greater_than_or_equal
            - less_than
            - less_than_or_equal
          title: Op
        arg:
          anyOf:
            - type: integer
            - type: number
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: BacklinkCountFilter
    LikedFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: liked
          title: Type
        op:
          type: string
          const: equals
          title: Op
        arg:
          type: boolean
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: LikedFilter
    StatusFilterScalar:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: status
          title: Type
        op:
          type: string
          const: equals
          title: Op
        arg:
          $ref: '#/components/schemas/Status'
      type: object
      required:
        - type
        - op
        - arg
      title: StatusFilterScalar
    StatusFilterVector:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: status
          title: Type
        op:
          type: string
          const: within
          title: Op
        arg:
          items:
            $ref: '#/components/schemas/Status'
          type: array
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: StatusFilterVector
    ColorFilterScalar:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: color
          title: Type
        op:
          type: string
          const: equals
          title: Op
        arg:
          anyOf:
            - $ref: '#/components/schemas/CoreColor'
            - type: 'null'
      type: object
      required:
        - type
        - op
      title: ColorFilterScalar
    ColorFilterVector:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: color
          title: Type
        op:
          type: string
          const: within
          title: Op
        arg:
          items:
            $ref: '#/components/schemas/CoreColor'
          type: array
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: ColorFilterVector
    VisibilityFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: visibility
          title: Type
        op:
          type: string
          const: equals
          title: Op
        arg:
          $ref: '#/components/schemas/Visibility'
      type: object
      required:
        - type
        - op
        - arg
      title: VisibilityFilter
    PermsFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: perms
          title: Type
        op:
          type: string
          const: can
          title: Op
        arg:
          $ref: '#/components/schemas/Perm'
      type: object
      required:
        - type
        - op
        - arg
      title: PermsFilter
    ParentIdsFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: parent_ids
          title: Type
        op:
          type: string
          const: contains
          title: Op
        arg:
          type: string
          format: uuid
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: ParentIdsFilter
    ArchivedParentIdsFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: archived_parent_ids
          title: Type
        op:
          type: string
          const: contains
          title: Op
        arg:
          type: string
          format: uuid
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: ArchivedParentIdsFilter
    PublishedParentIdsFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: published_parent_ids
          title: Type
        op:
          type: string
          const: contains
          title: Op
        arg:
          type: string
          format: uuid
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: PublishedParentIdsFilter
    BacklinkIdsFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: backlink_ids
          title: Type
        op:
          type: string
          const: contains
          title: Op
        arg:
          type: string
          format: uuid
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: BacklinkIdsFilter
    DailyFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: daily
          title: Type
        op:
          type: string
          enum:
            - equals
            - greater_than
            - greater_than_or_equal
            - less_than
            - less_than_or_equal
          title: Op
        arg:
          anyOf:
            - type: string
            - type: 'null'
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: DailyFilter
    LocationFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: location
          title: Type
        op:
          type: string
          const: equals
          title: Op
        arg:
          anyOf:
            - type: string
            - type: 'null'
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: LocationFilter
    IconFilterScalar:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: icon
          title: Type
        op:
          type: string
          const: equals
          title: Op
        arg:
          anyOf:
            - type: string
              maxLength: 64
            - type: 'null'
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: IconFilterScalar
    IconFilterVector:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: icon
          title: Type
        op:
          type: string
          const: within
          title: Op
        arg:
          items:
            type: string
            maxLength: 64
          type: array
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: IconFilterVector
    Status:
      enum:
        - -2
        - -1
        - 0
        - 1
        - 2
      title: Status
      type: integer
    Visibility:
      enum:
        - -1
        - 0
        - 1
      title: Visibility
      type: integer
    Perm:
      type: integer
      enum:
        - 2
        - 4
        - 8
        - 16
        - 32
        - 64
        - 128
        - 256
        - 512
        - 1024
        - 2048
        - 4096
      title: Perm
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Api-Key

````